> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get async task info

## Field support per integration

<AccordionGroup>
  <Accordion title="AbaConnect" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/abacus.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=e1a1710b2ea6a968fe05f50e6add869c" width="180" height="120" data-path="logo/abacus.svg">
    <Note>
      Please ensure the parameter `taskId` is accurately populated with the appropriate task ID.
      You can obtain this value by executing an asynchronous POST request.

      For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section.
    </Note>

    Support rawData: `false`

    <br />

    Supported Response Fields:

    <ResponseField name="status" type="enum">
      Available options:
      `IN_PROGRESS`, `FINISHED`
    </ResponseField>

    <ResponseField name="information" type="InformationResponseDto[]">
      <Expandable title="properties">
        <ResponseField name="message" type="string" />

        <ResponseField name="type " type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="responseData" type="object">
      If any response data is returned after the request is finished, you will find it here.
    </ResponseField>
  </Accordion>

  <Accordion title="Datev Unternehmen Online" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=5589154dcfa064e1d967a067e488896a" width="24" height="24" data-path="logo/datev.svg">
    <Note>
      Please ensure the parameter `taskId` is accurately populated with the appropriate task ID.
      You can obtain this value by executing an asynchronous POST request.

      For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section.
    </Note>

    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Support rawData: `false`

    <br />

    Supported Response Fields:

    <ResponseField name="status" type="enum">
      Available options:

      `OPEN`, `IN_PROGRESS`, `SUCCESS`, `FAILED`, `PARTIAL_SUCCESS`, `CANCELLED_SUCCESSFULLY`,`CANCEL_FAILED`
    </ResponseField>

    <ResponseField name="information" type="InformationResponseDto[]">
      <Expandable title="properties">
        <ResponseField name="filename" type="string" />

        <ResponseField name="message" type="string" />

        <ResponseField name="timestamp" type="string" />

        <ResponseField name="type " type="string" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Datev Rechnungswesen" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=5589154dcfa064e1d967a067e488896a" width="24" height="24" data-path="logo/datev.svg">
    <Note>
      Please ensure the parameter `taskId` is accurately populated with the appropriate task ID.
      You can obtain this value by executing an asynchronous POST or GET request.

      For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section.
    </Note>

    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    <Note>
      The pagination is only supported for asynchronous GET requests. Only `page` parameter is accepted. The `limit` is 50000 entries per page and cannot be modified.
    </Note>

    Support rawData: `false`

    Support pagination: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="status" type="enum">
      Available options:

      `SUCCESS`, `IN_PROGRESS`, `FINISHED`, `FAILED`, `DELETED`

      <Note>
        Status for **writing** operations via `datev-rewe` and `datev-rewe-longtoken` :
        `SUCCESS`, `IN_PROGRESS`, `FAILED`

        Status for **reading** operations via `datev-rewe-export` :
        `FINISHED`, `IN_PROGRESS`, `FAILED`, `DELETED`
      </Note>
    </ResponseField>

    <ResponseField name="information" type="InformationResponseDto[]">
      <Expandable title="properties">
        <ResponseField name="filename" type="string" />

        <ResponseField name="message" type="string" />

        <ResponseField name="timestamp" type="string" />

        <ResponseField name="type " type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="responseData" type="object">
      If any response data is returned after the request is finished, you will find it here.
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/asyncTask/{taskId}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/asyncTask/{taskId}:
    get:
      tags:
        - accounting
      operationId: getAsyncTaskInfo
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: taskId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/AsyncTaskResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    AsyncTaskResponseDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - OPEN
            - IN_PROGRESS
            - FINISHED
            - SUCCESS
            - FAILED
            - PARTIAL_SUCCESS
            - CANCELLED_SUCCESSFULLY
            - CANCEL_FAILED
            - DELETED
          example: SUCCESS
        information:
          type: array
          items:
            $ref: '#/components/schemas/InformationResponseDto'
        responseData:
          $ref: '#/components/schemas/ProjectResponseDto'
          type: object
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    InformationResponseDto:
      type: object
      properties:
        filename:
          type: string
          example: Invoice_V30
        message:
          type: string
          example: The document has been received.
        timestamp:
          type: string
          example: '2021-01-01T00:00:00Z'
        type:
          type: string
          example: information
    ProjectResponseDto:
      type: object
      properties:
        id:
          type: string
          example: c1f85763-5be6-ee11-a201-6045bde98d28
        code:
          type: string
          example: '9012'
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        contactId:
          type: string
          example: eaa28f49-6028-4b6e-bb12-d8f6278073fc
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
          example: EUR
        description:
          type: string
          example: Service and Maintenance Project
        endDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        name:
          type: string
          example: Service und Unterhalt
        parentProjectId:
          type: string
          example: e587bs49-5be6-ee11-a201-6045bde98d28
        status:
          type: string
          enum:
            - ACTIVE
            - CLOSED
          example: ACTIVE
        startDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````